Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.global
Class GlobalActionHandlerContext

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.action.global.GlobalActionHandlerContext

All Implemented Interfaces:
  IGlobalActionHandlerContext

    public final class GlobalActionHandlerContext

extends java.lang.Object
implements IGlobalActionHandlerContext

The class used to create a `IGlobalActionHandlerContext` object. This class implements `IGlobalActionHandlerContext` interface.

Constructor Summary
`GlobalActionHandlerContext(IWorkbenchPart activePart, java.lang.String actionId, java.lang.Class elementType, boolean isCompatible)` Constructor.

Method Summary
`java.lang.String` `getActionId()` Returns the `GlobalActionId`
`IWorkbenchPart` `getActivePart()` Returns the active `IWorkbenchPart`
`java.lang.Class` `getElementType()` Returns an element type within the selection that occured in the active `IWorkbenchPart`
`boolean` `isCompatible()` Returns a boolean to indicate whether a direct match is required for the element type or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalActionHandlerContext

    public GlobalActionHandlerContext(IWorkbenchPart activePart,
                                      java.lang.String actionId,
                                      java.lang.Class elementType,
                                      boolean isCompatible)

  Constructor.

  Parameters:
    `activePart` - attribute for active part
    `actionId` - attribute for action ID
    `elementType` - attribute for elementType
    `isCompatible` - attribute for isCompatible

Method Detail

### getActionId

    public java.lang.String getActionId()

  Description copied from interface: `IGlobalActionHandlerContext`
  Returns the `GlobalActionId`

  Specified by:
    `getActionId` in interface `IGlobalActionHandlerContext`
  Returns:
    Returns an `String`

### getElementType

    public java.lang.Class getElementType()

  Description copied from interface: `IGlobalActionHandlerContext`
  Returns an element type within the selection that occured in the active `IWorkbenchPart`

  Specified by:
    `getElementType` in interface `IGlobalActionHandlerContext`
  Returns:
    Returns a `Class`

### getActivePart

    public IWorkbenchPart getActivePart()

  Description copied from interface: `IGlobalActionHandlerContext`
  Returns the active `IWorkbenchPart`

  Specified by:
    `getActivePart` in interface `IGlobalActionHandlerContext`
  Returns:
    Returns the active `IWorkbenchPart`

### isCompatible

    public boolean isCompatible()

  Description copied from interface: `IGlobalActionHandlerContext`
  Returns a boolean to indicate whether a direct match is required for the element type or not. For a compatible type the element type supported by the provider should be assignable from this context's element type.

  Specified by:
    `isCompatible` in interface `IGlobalActionHandlerContext`
  Returns:
    true if compatible is requested, false otherwise (for a direct match)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.